Bug 505023 - can't change font size of xterm
can't change font size of xterm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Tom "spot" Callaway
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 08:09 EDT by Stefan Assmann
Modified: 2014-03-16 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 15:52:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-06-10 08:09:46 EDT
Description of problem:
The font size of xterm cannot be changed by holding strg and pushing right mouse button and selecting any of the fonts.

Version-Release number of selected component (if applicable):
xterm-242-3.fc11.src.rpm

How reproducible:
always

Steps to Reproduce:
1. start xterm
2. hold strg + right mouse button
3. select any font size from unreadable to huge
  
Actual results:
font size stays the same

Expected results:
font size changes according to selected font size

Additional info:
things I see when xterm is started from another xterm:

sassmann@T500:~> xterm
Warning: Cannot convert string "nil2" to type FontStruct
xterm: cannot load font -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
xterm: cannot load font -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
xterm: cannot load font -misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646
Comment 1 Miroslav Lichvar 2009-06-10 08:36:28 EDT
Is a font package containing the fonts installed? Try xorg-x11-fonts-misc if not sure.
Comment 2 Stefan Assmann 2009-06-11 03:52:38 EDT
Thanks for the hint Miroslav that did the trick!

xterm should have a dependency on xorg-x11-fonts-misc.
Comment 3 Miroslav Lichvar 2009-06-11 04:39:32 EDT
It was discussed in some other bug report that it's better to not have a hard dependency on the -misc package in xterm. A suggest would be fine, unfortunately rpm doesn't support soft dependencies yet.

The -misc package is quite large. Other font packages provide the needed fonts (and support different languages) and some users configure xterm to use completely different fonts.
Comment 4 Stefan Assmann 2009-06-12 03:06:01 EDT
(In reply to comment #3)
> It was discussed in some other bug report that it's better to not have a hard
> dependency on the -misc package in xterm. A suggest would be fine,
> unfortunately rpm doesn't support soft dependencies yet.

Thanks for mentioning this, you don't remember which bug that was I'd really like to follow up on this.
 
> The -misc package is quite large. Other font packages provide the needed fonts
> (and support different languages) and some users configure xterm to use
> completely different fonts.  

That sounds sane and totally plausible. However we should make sure that when you install xterm atleast some usable font is there, otherwise xterm appears to be broken to the user.

Two things come to mind:
First would be to have some other (smaller) package installed along with xterm. Second and probably more reasonable, pre-configure xterm to use a font that is installed by default.
Comment 5 Miroslav Lichvar 2009-06-15 05:22:51 EDT
It's bug #454232.

It seems it's preferred to install fonts through comps, reassigning to comps component.
Comment 7 Tom "spot" Callaway 2009-09-14 11:00:28 EDT
So, there are lots of fonts packages in the "fonts" group in comps, and even more in the "legacy-fonts" group.

We could add:

<packagereq type="conditional" requires="xterm">$FONTPACKAGE</packagereq>

But, I'm not sure what font package you'd think we should put it in, and in what comps group that line should be added to.
Comment 8 Bill Nottingham 2009-09-14 11:54:48 EDT
Furthermore, since xterm has configurable fonts for each size step, you can't specify this in comps in a way that will work for everyone. Unless I'm missing something.
Comment 9 Miroslav Lichvar 2009-09-15 09:01:19 EDT
I tried to find all font packages that provide the fonts needed by xterm in default configuration and it seems there is only four:

xorg-x11-fonts-misc-7.2-9.fc12
xorg-x11-fonts-cyrillic-7.2-9.fc12
fonts-KOI8-R-1.0-12.fc12
fonts-ISO8859-2-1.0-22.fc12
Comment 10 Bill Nottingham 2010-01-20 14:34:49 EST
I'm still not really of the opinion that we should do this sort of thing just for one package; if it's in the package's config, the package should require it.
Comment 11 Miroslav Lichvar 2010-02-10 08:57:14 EST
I think adding the font package to one of the comps group makes more sense than adding it as a hard rpm dependency to xterm as it's needed only in default configuration and only with non-default font sizes.

Please reconsider adding xorg-x11-fonts-misc package to the X Window System group, either installed by default or conditionally on xterm package.
Comment 12 Bug Zapper 2010-04-27 10:43:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bill Nottingham 2011-02-21 15:52:57 EST
xorg-x11-fonts-misc is in the legacy-fonts group; we generally recommend users install the fonts or legacy-fonts group rather than having dependencies on specific fonts, or enumerating these fonts also in the X group.

Note You need to log in before you can comment on or make changes to this bug.